## edu.cwru.SimpleRTS.Log
Class EventLogger

    java.lang.Object
      edu.cwru.SimpleRTS.Log.EventLogger

All Implemented Interfaces:
  java.io.Serializable

    public class EventLogger

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Nested Class Summary
`static class` `EventLogger.EventLoggerView`

Constructor Summary
`EventLogger()`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.util.List<BirthLog>` `getBirths(int roundnumber)`
`int` `getCurrentRound()`
`java.util.List<DamageLog>` `getDamage(int roundnumber)`
`java.util.List<DeathLog>` `getDeaths(int roundnumber)`
`java.util.List<ResourceDropoffLog>` `getResourceDropoffs(int roundnumber)`
`java.util.List<ResourceExhaustionLog>` `getResourceExhaustions(int roundnumber)`
`java.util.List<ResourcePickupLog>` `getResourcePickups(int roundnumber)`
`java.util.List<UpgradeLog>` `getUpgrades(int roundnumber)`
`EventLogger.EventLoggerView` `getView()`
`int` `hashCode()`
`void` `nextRound()`
`void` `recordBirth(int newunitid, int parentunitid, int controller)`
`void` `recordDamage(int attackerid, int attackercontroller, int defenderid, int defendercontroller, int damage)`
`void` `recordDeath(int deadunitid, int controller)`
`void` `recordDropoffResource(int depositerid, int depositplaceid, int controller, ResourceType type, int amount)`
`void` `recordExhaustedResourceNode(int exhaustednodeid, ResourceNode.Type type)`
`void` `recordPickupResource(int gathererid, int controller, ResourceType type, int amount, int nodeid, ResourceNode.Type nodetype)`
`void` `recordUpgrade(int deadunitid, int controller)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventLogger

    public EventLogger()

Method Detail

### getView

    public EventLogger.EventLoggerView getView()

### nextRound

    public void nextRound()

### recordDamage

    public void recordDamage(int attackerid,
                             int attackercontroller,
                             int defenderid,
                             int defendercontroller,
                             int damage)

### recordDeath

    public void recordDeath(int deadunitid,
                            int controller)

### recordBirth

    public void recordBirth(int newunitid,
                            int parentunitid,
                            int controller)

### recordUpgrade

    public void recordUpgrade(int deadunitid,
                              int controller)

### recordExhaustedResourceNode

    public void recordExhaustedResourceNode(int exhaustednodeid,
                                            ResourceNode.Type type)

### recordPickupResource

    public void recordPickupResource(int gathererid,
                                     int controller,
                                     ResourceType type,
                                     int amount,
                                     int nodeid,
                                     ResourceNode.Type nodetype)

### recordDropoffResource

    public void recordDropoffResource(int depositerid,
                                      int depositplaceid,
                                      int controller,
                                      ResourceType type,
                                      int amount)

### getCurrentRound

    public int getCurrentRound()

### getDeaths

    public java.util.List<DeathLog> getDeaths(int roundnumber)

### getDamage

    public java.util.List<DamageLog> getDamage(int roundnumber)

### getBirths

    public java.util.List<BirthLog> getBirths(int roundnumber)

### getUpgrades

    public java.util.List<UpgradeLog> getUpgrades(int roundnumber)

### getResourceExhaustions

    public java.util.List<ResourceExhaustionLog> getResourceExhaustions(int roundnumber)

### getResourceDropoffs

    public java.util.List<ResourceDropoffLog> getResourceDropoffs(int roundnumber)

### getResourcePickups

    public java.util.List<ResourcePickupLog> getResourcePickups(int roundnumber)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`